Subject: comp.protocols.snmp SNMP FAQ Part 1 of 2
From: [email-masked] (Tom Cikoski)
Date: 27 Sep 2000 09:02:26 -0400
Newsgroups: comp.protocols.snmp,comp.answers,news.answers

Archive-name: snmp-faq/part1
Posting-Frequency: bimonthly (more-or-less)
Last-Modified: 26 Sep 2000
Version: 2.50
 
                 comp.protocols.snmp

                    PART 1 of 2

         FAQ - Frequently Asked Questions - FAQ

          Simple Network Management Protocol
          ----------------------------------

This 2-part document is provided as a service by and for the readers
and droogs of Internet USENET news group comp.protocols.snmp and may be
used for research and educational purposes only. Any commercial
use of the text may be in violation of copyright laws under 
the terms of the Berne Convention. My lawyer can whup your lawyer.

Anthology Edition Copyright 2000, Thomas R. Cikoski, All Rights Reserved
 
------------------------------------------------------------
 Please feel free to EMail corrections, enhancements, and/or
 additions to the Reply-To address, above.  Your input will
 receive full credit in this FAQ unless you request otherwise.
                 mailto:[email-masked]

As a result of the abuses of EMail now taking place on the
Internet, we have a policy of NOT providing the EMail address
of individual contributors in these postings. We will continue
continue to provide EMail addresses of commercial contributors
unless requested not to.
-------------------------------------------------------------
      A NOTE ON WEB SITES AND URLS: THEY MAY BE OBSOLETE!

Neither the contributors nor the editor of this FAQ are responsible
for the stability or accuracy of any URL, Web site address, or
EMail address listed herein. We take reasonable care to ensure that
these data are transcribed correctly and are always open to
correction. If, however, a particular URL disappears from the Web
there is not much we can do about it.
-------------------------------------------------------------

Please also visit our cousin newsgroup
        news://comp.dcom.net-management.
 
New this month: 
--------------
> The usual stuff
 
Note on host names and addresses: please email me with any changes
to URLs, host names or IP addresses. The MIT host rtfm has an autoresponder
which always replies to postings with an incorrect IP.  It would be
nice if every host had that, but they don't, so I need your assistance.  

SUBJECT:              TABLE OF CONTENTS
 
1.00.00 FAQ PART 1 of 2:            IN THIS DOCUMENT

1.01.00 --General
1.01.01 What is the purpose of this FAQ?
1.01.02 Where can I Obtain This FAQ?
1.01.03 Parlez-vous francais?
1.01.04 Why is SNMP like golf?
1.01.99 This FAQ Stinks!

1.10.00 --General Questions about SNMP and SNMPv1
1.10.01 What is SNMP?
1.10.02 How do I develop and use SNMP technology?
1.10.10 How does an Agent know where to send a Trap?
1.10.15 How can I remotely manage community strings?

1.11.00 --RFC
1.11.01 What is an RFC?
1.11.02 Where can I get RFC text?

1.12.00 --SNMP Reference
1.12.01 What books are there which cover SNMP?
1.12.02 What periodicals are heavily oriented to SNMP?
1.12.03 What classes are available on the topic of SNMP?
1.12.04 What email discussion groups are available for SNMP?
1.12.05 What trade shows cater to SNMP?
1.12.06 What SNMP product User Groups are available?
1.12.07 Where can I find SNMP-related material on WWW?
1.12.08 What related mailing lists exist?
1.12.20 What related newsgroups exist?
1.12.21 Are there introductory materials?

1.13.00 --Miscellaneous
1.13.01 SNMP and Autodiscovery
1.13.02 SNMP Traps
1.13.03 SNMP and/versus The Web
1.13.04 SNMP and Java
1.13.05 SNMP and CORBA
1.13.06 SNMP and Visual Basic

1.20.00 --General Questions about SNMPv2
1.20.01 What is SNMPv2?
1.20.02 What is SNMPv2*/SNMPv1+/SNMPv1.5?
1.20.03 What is SNMPv2c?
1.20.04 What the heck other SNMPv's are there?

1.22.00 --General Questions about SNMPv3
1.22.01 What is SNMP V3?

1.30.00 --RMON
1.30.01 What is RMON?
1.30.02 RMON Standardization Status
1.30.03 RMON Working Group.
1.30.04 Joining the RMON Working Group Mailing List 
1.30.05 Historical RMON Records
1.30.06 RMON Documents
1.30.07 RMON2

1.40.00 --ISODE
1.40.01 What is ISODE?
1.40.02 Where can I get ISODE?
1.40.03 Is there an ISODE/SNMP mailing list?

1.50.00 --Using SNMP to Monitor or Manage
1.50.01 How do I calculate utilization using SNMP?
1.50.02 What are Appropriate Operating Thresholds?
1.50.03 Are MIBs available to monitor application traffic?
1.50.04 How can I make sense of the Interfaces Group?

1.75.00 -- SNMP Engineering and Consulting
1.75.01 SNMP Engineering and Consulting Firms

2.00.00 FAQ PART 2 of 2:            NOT IN THIS DOCUMENT

2.01.00 --CMIP
2.01.01 What is CMIP?
2.01.02 What books should I read about CMIP?
2.01.03 A CMISE/GDMO Mailing List
2.01.04 What is OMNIPoint?

2.02.00 --Other Network Management Protocols
2.02.01 What alternatives exist to SNMP?

2.10.00 --SNMP Software and Related Products
2.10.01 Where can I get Public Domain SNMP software?
2.11.01 Where can I get Proprietary SNMP software?
2.12.01 Where can I get SNMP Shareware?
2.13.01 Miscellaneous FTP and WWW Sources
2.14.01 What CMIP software is available?
2.15.01 SNMP and Windows NT/95/98
2.16.01 More About CMU SNMP Software
2.17.01 Miscellaneous SNMP-related Products
2.18.01 SNMP and OS/2
2.18.02 SNMP and SCO Unix
2.18.03 SNMP and Linux
2.18.04 SNMP and AS/400
2.20.01 SNMP++
2.21.01 What is AgentX?

2.30.00 --The SNMP MIB (Management Information Base)
2.30.01 What is a MIB?
2.30.02 What are MIB-I and MIB-II
2.30.03 How do I convert SNMP V1 to SNMP V2 MIBs?
2.30.04 How do I convert SNMP V2 to SNMP V1 MIBs?
2.30.05 What are enterprise MIBs?
2.30.06 Where can I get enterprise MIBs?
2.31.01 MIB Compiler Topics
2.32.01 How can I get ______ from the _____ MIB?
2.35.01 How can I register an Enterprise MIB?
2.35.02 Where can I find Enterprise Number Assignments?
2.37.01 How Do I Create a Table Within a Table?
2.37.05 How Do I Reset MIB Counters via SNMP?
2.37.07 How can I change a published MIB?
2.38.01 How unique must MIB variable names be?
2.38.03 Explain MODULE-COMPLIANCE versus AGENT-CAPABILITIES
2.38.04 Which parts of my MIB are mandatory?
2.38.10 Can a CMIB MIB be converted to SNMP?
2.38.12 Can a table index value legally be zero?

2.40.00 --SMI
2.40.01 What is the SMI?
2.40.02 What is SMIv2?
2.40.03 Table Indexing and SMI
2.40.04 Floating Point Numbers in SMI?

2.45.00 --ASN.1
2.45.01 What is ASN.1?
2.45.02 Why is ASN.1 not definitive for SNMP?
2.45.05 Where can I find a free ASN.1 compiler?

2.50.00 --BER
2.50.01 How is the Integer value -1 encoded?
2.50.02 What is the Maximum Size of an SNMP Message?
2.50.05 Where can I find BER encoding rules?

2.60.00 -- Agent Behavior
2.60.01 Proper Response to empty VarBind in GetRequest?
2.60.02 Master Agent versus Proxy Agent
2.60.03 Proper Response to GET-NEXT on Last MIB Object?
2.60.10 How can I find the SNMP version of an Agent?

2.98.00 Appendix A. Glossary
2.99.00 Appendix B. Acknowledgements & Credits

1.00.00 FAQ PART 1 of 2:

1.01.00 --General
 
1.01.01
SUBJECT: What is the purpose of this FAQ?

  This FAQ is to serve as a guide to the resources known to
  be available for helping you to understand SNMP, SNMPv2,
  and their related technologies.  OSI/CMIP is touched on
  briefly as well because we're fair-minded folk.
 
  There is NO INTENT that this be a one-stop SNMP tutorial.
  There is NO INFERENCE that this is an authoritative or
  official document of any kind. What you see is what you get.
 
  You WILL need to read the books listed herein, maybe even
  some of the RFCs.  You may wish to take a class as well.
  Just think of this as your "tourist guide book."

1.01.02
SUBJECT: Where Can I Obtain This FAQ?

  This FAQ is available on the WWW at:

http://www.pantherdig.com (both text and HTML formats are available)

http://www.snmp.com/FAQs/snmp-faq-part1.txt
http://www.snmp.com/FAQs/snmp-faq-part2.txt

http://www.cis.ohio-state.edu/hypertext/faq/bngusenet/comp/protocols/snmp/top.html

http://smurfland.cit.buffalo.edu/NetMan/FAQs.html
[Note: above site reported "way out of date"]

http://www.lib.ox.ac.uk/internet/news/faq/archive/snmp-faq.part1.html
http://www.lib.ox.ac.uk/internet/news/faq/archive/snmp-faq.part2.html

See also:
ftp://ftp.cs.utwente.nl/pub/src/snmp/

http://www.faqs.org/faqs/snmp-faq/part1/index.html
http://www.faqs.org/faqs/snmp-faq/part2/index.html

You can also find the most recent Web posting via

      http://www.deja.com/usenet [formerly "dejanews"]

and, last but not least, you can use your favorite search
engine such as

	http://www.altavista.digital.com
	http://www.infoseek.com
	http://www.yahoo.com

This FAQ is officially archived (as with all "licensed" FAQs) at
rtfm.mit.edu [18.181.0.24] under /pub/usenet/news.answers
as snmp-faq/part1 &/part2, or under /pub/usenet/comp.protocols.snmp
as its own self (the only files in that directory). Use
anonymous ftp to retrieve or send e-mail to 
 
       mailto:[email-masked]
 
with
 
      "send usenet/news.answers/finding-sources"
 
for instructions on FTP via e-mail.

1.01.03
SUBJECT: Parlez-vous francais?

1.01.03.01
>
>Un petit conseil: Si tu postais en anglais, beaucoup plus de gens
>pourraient t'aider...

> Thomas Galley

1.01.03.02
Alternativement, si tu es vraiment fachez avec l'anglais ;-),
poster (ou xposter avec fu2) sur fr.comp.reseaux.supervision.

Steve Common

1.01.03.03
If you are in the Bayonne area and would like to forget
SNMP for a few hours in a great little country hotel, try

   L'Auberge de Biaudos (**)
   RN 117 15mn from Bayonne
   05 59 56 79 70

Tom Cikoski

1.01.03.04
SNMP-oriented Web Site hosted en France, avec quelques
linques francaises.

http://www.snmplink.org

Pierrick Simier

1.01.04
SUBJECT: Why is SNMP like golf?

> usually the fewer polls you take the better off you are
> but you are sometimes lost in the woods
> it helps to have a good set of tools in the bag
> it helps to have good instruction
> you need a few beers after a bad round

1.01.99
SUBJECT: This FAQ Stinks!

A concerned reader writes:

"The SNMP FAQ contains incorrect sometimes outdated information and
it might therefore cause more questions than it answers. What is
your policy with regard to corrections? It sometimes looks that you
are just adding corrections and not removing the incorrect text.
This makes the FAQ difficult to use and it keeps incorrect stuff
around, which again causes confusion."

"There is also an issue with relationship to other documents. For
example, the SimpleTimes contains an up-to-date list of RFCs related
to SNMP. The FAQ contains several more or less correct and outdated
lists. I think it would be useful in cases like this to just refer
to a `reliable' source instead of trying to include information which
is not maintained."

Editor's note: Our concerned reader is perceptive. We rely on the good
will and support of our readers to notice omissions, commissions and
deprecations in the FAQ, although we do try and update RFC lists from
time to time. We will act on any notice from you that something ought
to be changed. Please send me your corrections.

URLs change often and we don't have the time to check them routinely.
We also publish the large personal collections of several contributors,
some of which offer conflicting details. That's the way it is with
tribal documents such as this. If any error in this FAQ causes you to
waste or loose precious time then you probably expected too much to
begin with. Please use it with our good wishes and this disclaimer.

1.10.00 --General Questions about SNMP and SNMPv1

1.10.01 
SUBJECT: What is SNMP?

1.10.01.01
  The Simple Network Management Protocol is a protocol for
  Internet network management services.  It is formally
  specified in a series of related RFC documents.

    (Some of these RFCs are in "historic" or "informational" status)
     
     RFC 1067 - A Simple Network Management Protocol
     RFC 1089 - SNMP over Ethernet
     RFC 1140 - IAB Official Protocol Standards
     RFC 1147 - Tools for Monitoring and Debugging TCP/IP
                Internets and Interconnected Devices
                [superceded by RFC 1470]
     RFC 1155 - Structure and Identification of Management
                Information for TCP/IP based internets.
     RFC 1156 (H)- Management Information Base Network
                Management of TCP/IP based internets
     RFC 1157 - A Simple Network Managment Protocol
     RFC 1158 - Management Information Base Network
                Management of TCP/IP based internets: MIB-II
     RFC 1161 (H)- SNMP over OSI
     RFC 1187 - Bulk Table Retrieval with the SNMP
     RFC 1212 - Concise MIB Definitions
     RFC 1213 - Management Information Base for Network Management
                of TCP/IP-based internets: MIB-II
     RFC 1215 (I)- A Convention for Defining Traps for use with the SNMP
     RFC 1224 - Techniques for Managing Asynchronously-Generated Alerts
     RFC 1270 (I)- SNMP Communication Services
     RFC 1303 (I)- A Convention for Describing SNMP-based Agents
     RFC 1470 (I)- A Network Management Tool Catalog
     RFC 1298 - SNMP over IPX (obsolete, see RFC 1420)
     RFC 1418 - SNMP over OSI
     RFC 1419 - SNMP over AppleTalk
     RFC 1420 - SNMP over IPX (replaces RFC 1298)

[EDITOR'S NOTE: RFC's for SNMPv2 and SNMPv3 are under their
 respective headings.]

1.10.01.02
     
"Just a reminder that if you are new to SNMP (or know someone who is)
you might want to check out my Web page at:"
 
http://www.inforamp.net/~kjvallil/t/snmp.html

Tyler Vallillee

1.10.01.03

A good overview of SNMP can be found at:

http://www.ddri.com/Doc

You'll find a 30-page article that provides a high-level but detailed overview
of SNMP, including philosophy, applications, protocol description, useful MIB
objects, and a description of ASN.1 syntax.

This should get you started.

"jhd"

1.10.01.04

Concord Communications offers a free network management reference
guide that includes the information you are looking for.  View online or
download it at http://www.concord.com/resctr/survival/guide/intro.htm

Rob Tandean

1.10.02
SUBJECT: How do I develop and use SNMP technology?

To deploy and use SNMP technology for management involves
many steps.
If you are a device vendor you need to:
1) decide what aspects of your products you want to
   be managable via SNMP
2) select the standard MIBs to implement (and the objects/traps
   within them to implement)
3) create proprietary MIB modules containing objects and traps
   for the management areas not covered by standard MIBs
4) Select an SNMP agent toolkit vendor
5) put instrumentation in your devices
6) following the directions from the SNMP toolkit vendor, create
   access routines (which some SNMP toolkit vendors call method
   routines) to get and set the values of from your instrumentation
7) Select an SNMP agent test package, and test your agent
8) Select an SNMP management API library
9) Write SNMP applications to manage your device

If you are an end-user, you need to:
1) determine what SNMP management capability that you have
   in your current devices
2) determine the SNMP management capability that is available
   in similar devices from other vendors (in case you need to
   upgrade or change)
3) determine what you want to accomplish with management
4) find off the self management packages that provide the
   management functions you want
5) possibly upgrade or replace your current devices with one
   that are managable with the package you chose.
6) implement additional management functions using scripting
7) implement additional management functions using custom written
   code using a purchased off the self SNMP management API library
8) configure your agents and applications to talk to each other.

David T. Perkins

1.10.10
SUBJECT: How does an Agent know where to send a Trap?

I've noticed on the comp.protocols.snmp mailing list that the question
"how does an agent know where to send traps" (short answer is "its
implementation specific", long answer is, indeed, long, but has been
well answered numerous times) is, indeed, a Frequently Asked Question.
Any chance of adding it to your quite impressive FAQ posting?

T. Max Devlin

[Editor's Note: What T. Max is getting at here is that the trap
 destination IP address is not represented in MIB-II, so how can
 the agent know what it is? The answer is that most agents require
 an external configuration process to take place before they can
 be put into service, and that is how the IP address, among other
 interesting parameters, is set in the agent. How this setup is
 actually done varies among agent developers.]

1.10.15
SUBJECT: How can I remotely manage community strings?

Paul Nye wrote:

>I'm looking for a utility that enables me to change community names on
>multiple devices from a single management console.
>
>For example, provided I have the correct SU password, I would like to be
>able to identify a subnet or IP address range and the utility would query
>any SNMP aware device in the range, test whether the SU/community names are
>the same and if so, replace the SU password with one of my choice.

Because the methodology for setting community strings is not
standardized, every type of device/agent version may have a
different mechanism for handling this chore.  Therefore, there
are no "single console" products for setting community strings.
For this to be feasible, you would have to be able to
differentiate every agent type, and know how that particular
vendor/system/agent handles it.

T. Max Devlin

1.11.00 --RFC

1.11.01
SUBJECT: What is an RFC?

  The letters stand for the title Request For Comment, which
  is the initial stage in the process for creating Internet
  standards.  RFCs go through several stages of review and
  refinement before they are adopted as final by the Internet
  community.
 
1.11.02
SUBJECT: Where can I get RFC text?

1.11.02.01

On WWW:
-------

Ohio State University has an extensive set of RFCs in html (browser)
format.  To see RFC 9898 (for example), use the following URL:

http://www.cis.ohio-state.edu/htbin/rfc/rfc9898.html
                                        ^^^^^^^
                           Put actual RFC number here.

Simply change the RFC number in the above URL to access the correct
file for your purpose.

Also, for an RFC "Home Page" see

http://www.cis.ohio-state.edu/hypertext/information/rfc.html

1.11.02.02
 
RFC-Info Simplified Help      submitted by: Mark Wallace
-----
 
Use RFC-Info by sending an email messages to [email-masked].
 
1.  To get a specific RFC send a message with text as follows:
 
        Retrieve: RFC   
          Doc-ID: RFC1500
 
This gets RFC 1500.  All RFC numbers in the Doc-Id are 4 digits 
(RFC 791 would be Doc-ID: RFC0791).
 
2.  To get a specific FYI send a message with text as follows:
 
        Retrieve: FYI
          Doc-ID: FYI0004
 
3.  To get a list of available RFC's that match a certain criteria:
 
        LIST: RFC
    Keywords: Gateway
 
Returns a list of RFC's with the word Gateway in the title or
specified as a keyword.
 
4.  To get information about other ways to get RFCs, FYIs, STDs,
    or IMRs.
 
        HELP: ways_to_get_rfcs
        HELP: ways_to_get_fyis
        HELP: ways_to_get_stds
        HELP: ways_to_get_imrs
 
5.  To get help about using RFC-Info:
 
        HELP: help
 
    or
 
        HELP: topics
 
===============================================================

1.11.02.03

Other possible sites:

     ftp.internic.net
     ftp.uu.net
     merit.edu
     nic.ddn.mil - note: avoid using this one, it's SLOW
     nis.nsf.net
     src.doc.ic.ac.uk
     venera.isi.edu
     ftp.std.com
 
     munnari.oz.au \___ Pacific Rim Sites use these
     archie.au     /
 
1.11.02.04
Use anonymous ftp & look for rfc or pub/rfc directories above.
 
     Details on obtaining RFCs via FTP or EMAIL may be obtained by
     sending an EMAIL message to "[email-masked]" with the message
     body "help: ways_to_get_rfcs".  For example:
 
>>        To: [email-masked]
>>        Subject: getting rfcs
 
>>        help: ways_to_get_rfcs

1.11.02.05
You can get a CD ROM with all the RFC's as of the date of the
CD ROM

> 	Info Magic
> 	11950 N. Highway 89
> 	Flagstaff, AZ
>	(800) 800-6613
>	(520) 526-9565
>
> 	http://www.infomagic.com/catalog5.htm#standards
>
>	Title is 'International & Domestic Standards' ($30)

Mark Aubrey
 
1.11.02.06
In Germany and Europe, try Christian Seyb:
 
     "I also offer a CDROM with all RFC's as of the date 
      of beginning of Aug 93."
 
The following CDROM is available for DM 98,-- (app. $60) and
contains the following software:
 
- Linux SLS V1.03, Kernel 0.99.11 and utilities for Linux
- 386BSD version 0.1 including patch-kit 0.2.4
- NetBSD version 0.8
- Utilities for 386BSD and NetBSD
- The Berkely Second Networking Distribution
- GNU software (gcc 2.4.5, emacs 19.17, gmake 3.68, etc)
- X11R5 up to patch 25 and lots of Contributed Software
- TeX version 3.14
- The Internet RFCs up to RFC1493
- News, mail and mailbox software and many utilities for Unix
 
  Issue: Aug 1993
 
Contact:
    CDROM Versand
    Helga Seyb
    Fuchsweg 86
                                Tel: +49-8106-302210
    85598 Baldham               Fax: +49-8106-302310
    Germany                 Bbs/Fax: +49-8106-34593
 
Christian Seyb  |    |  Mailbox/uucp/Fax: 08106-34593

1.11.02.07
Aloha and greetings from Cologne, Germany.
Maybe it is interested for you, that the Technical University of Cologne 
has a good script which translate the RFCs into HTML-RFCs.
So you can link between the RFCs and you can get online.

You can try it by using the URL

http://rfc.fh-koeln.de/rfc.html

1.11.02.08
General RFC Information

http://www.cis.ohio-state.edu/hypertext/information/rfc.html

Praveen

1.12.00 --SNMP Reference

1.12.01 
SUBJECT: What books are there which cover SNMP?

You may wish to visit http://www.pantherdig.com/snmpfaq
for a preset search on Barnes & Noble dot Com for SNMP.
A small part of each sale goes toward supporting the
SNMP FAQ.

1.12.01.00 SNMP Books from Barnes & Noble dot com

1. SNMP, SNMPv2, SNMPv3, and RMON 1 and 2
William Stallings / Hardcover / Addison Wesley Longman, 
Inc. / December 1998
ISBN: 0201485346          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0201485346&bfmtype=book

2. Understanding SNMP MIBs: With Cdrom
Evan McGinnis,With David Perkins / Hardcover / Prentice 
Hall / September 1996
ISBN: 0134377087          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0134377087&bfmtype=book 

3. Windows NT SNMP: Simple Network Management Protocol
James D. Murray,Deborah Russell (Editor) / Paperback / 
O'Reilly & Associates, Incorporated / February 1998
ISBN: 1565923383          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=1565923383&bfmtype=book 

4. Managing Internetworks with SNMP with Cdrom
Mark A. Miller,P. E. Miller / Paperback / IDG Books 
Worldwide / July 1999
ISBN: 076457518X          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=076457518X&bfmtype=book

5. A Practical Guide to SNMPv3 and Network Management
Dave Zeltserman / Hardcover / Prentice Hall / May 1999
ISBN: 0130214531          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0130214531&bfmtype=book

6. Troubleshooting with SNMP & Analyzing MIBs
Louis Steinberg / Paperback / McGraw-Hill Companies, The 
/ June 2000
ISBN: 0072124857          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0072124857&bfmtype=book

7. SNMP Network Management
Paul Simoneau / Paperback / McGraw-Hill Companies, The / 
January 1999
ISBN: 0079130755          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0079130755&bfmtype=book

8. Snmp++: An Object-Oriented Approach to Developing 
Network Management Applications
Peter E. Mellquist,Hewlett-Packard Company / Paperback / 
Prentice Hall / July 1997
ISBN: 0132646072          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0132646072&bfmtype=book 

9. LAN Management with SNMP and RMON
Gilbert Held / Paperback / Wiley, John & Sons, 
Incorporated / August 1996
ISBN: 0471147362          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0471147362&bfmtype=book 

10. SNMP Application Developers Manual
Robert L. Townsend / Hardcover / Wiley, John & Sons, 
Incorporated / December 1997
ISBN: 0471286400          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0471286400&bfmtype=book 

11. Total SNMP: Exploring the Simple Network Management 
Protocol
Sean J. Harnedy,Sean J. Harnedy / Paperback / Prentice 
Hall / June 1997
ISBN: 0136469949          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0136469949&bfmtype=book 

12. How to Manage Your Network Using SNMP: The Networking 
Management Practicum
Marshall T. Rose,Keith McCloghrie / Paperback / Prentice 
Hall / September 1994
ISBN: 0131415174          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0131415174&bfmtype=book 

13. RMON: Remote Monitoring of SNMP-Managed LANs
David T. Perkins / Hardcover / Prentice Hall / September 
1998
ISBN: 0130961639          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0130961639&bfmtype=book 

14. SNMP V3 Survival Guide: Practical Strategies for 
Integrated Network Management
Rob Frye,Jon Saperia / Hardcover / Wiley, John & Sons, 
Incorporated / January 1999
ISBN: 0471356468          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0471356468&bfmtype=book 

15. SNMP-Based ATM Network Management
Heng Pan / Hardcover / Artech House, Incorporated / 
September 1998
ISBN: 0890069832          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=0890069832&bfmtype=book 

16. SNMP: Simple Network Management Protocol: Theory and 
Practice, Versions 1 and 2: Theory and Practice, 
Versions 1 and 2
Mathias Hein,David Griffiths (Editor) / Paperback / Itcp 
/ May 1995
ISBN: 1850321396          To order from Barnes & Noble:
http://service.bfast.com/bfast/click?bfmid=2181&sourceid=1713751&bfpid=1850321396&bfmtype=book

These titles are not presently stocked by Barnes & Noble. 
Check availability from our network of Out of Print 
dealers (http://www.bn.com).

    17. Effective Network Management Using SNMP with Disks
    Dale Cabell / Paperback / Howard W Sams & Co
    / July 1993 
    
    18. Managing Internetworks with SNMP
    Mark Miller / Paperback / IDG Books Worldwide / August 
    1993 

    19. Managing Internetworks with SNMP: The Definitive Guide 
    to the Simple Network Management Protocal, SNMPV2, RMON, 
    and Rmon2
    Mark A. Miller,Atwood / Paperback / IDG Books Worldwide 
    / June 1997 

    20. Network Management Standards: SNMP, CMIP, TMN, MIBs 
    and Object Libraries
    Uyless D. Black / Hardcover / McGraw-Hill Companies, The 
    / October 1994 

    21. SNMP: A Guide to Network Management
    Sidnie M. Feit / Hardcover / McGraw-Hill Companies, The 
    / April 1994 

    22. SNMP: Application Developers Guide
    Robert L. Townsend / Hardcover / Wiley, John & Sons, 
    Incorporated
    / October 1994 

    23. SNMP Handbook Description and Implementation, Vol. 3
    Uri Blumenthal / Hardcover / Addison Wesley Longman, Inc.
    / April 2000 

    24. SNMP Network Management
    Paul Simoneau / Paperback / McGraw-Hill Companies, The
    / June 1999 

    25. SNMP, Smp, and CMIP the Practical Guide to Network 
    Management Standards
    William Stallings / Hardcover / Addison Wesley Longman, Inc.
    / April 1993 
               
    26. SNMP, SNMPV2, and RMON : Practical Network Management
    William Stallings / Hardcover / Addison Wesley Longman, Inc.
    / January 1996 

    27. Total SNMP: Exploring the Simple Network Management Protocol
    Sean J. Harnedy / Paperback / C B M Books
    / September 1996 

NOTICE: THESE LISTS ARE NOT IN ANY ORDER WHICH IMPLIES
A RECOMMENDATION OR RELATIVE MERIT OF THE BOOKS LISTED.

1.12.01.01

     The Simple Book: An Introduction to Managment
     of TCP/IP-based Internets
     by: Marshall T. Rose
 
     ISBN 0-13-812611-9
 
     (c) 1991 Prentice-Hall, Inc
 
     And ...
 
     The Simple Book: (Second Edition)
     by: Marshall T. Rose
 
     ISBN 0-13-177254-6
 
     Prentice-Hall Copyright 1994
 
1.12.01.02
    See Barnes & Noble book list.

1.12.01.03
    See Barnes & Noble book list.

1.12.01.04
    See Barnes & Noble book list.

1.12.01.05
     Internetworking with TCP/IP (3 Volumes)
 
     Volume 1: Principles, Protocols, and Architecture
     by: Douglas E. Comer
    
     ISBN 0-13-468505-9  (Note: 2nd Edition)
 
     Volume 2: Design, Implementation, and Internals 
     by: Douglas E. Comer and David Stevens
    
     ISBN 0-13-472242-6
 
     (c) 1991 Prentice-Hall, Inc
 
     Volume 3: Client-Server Programming and Applications
     by: Douglas E. Comer and David Stevens
 
     ISBN 0-13-474222-2  (Note: BSD Socket Version)
 
     (c) 1993 Prentice-Hall, Inc
 
1.12.01.06
    See Barnes & Noble book list.
 
1.12.01.07
     Open Systems Networking: OSI & TCP/IP
     by: David Piscitello & A. L. Chapin
 
     ISBN 0-201-56334-7
 
     (c) 1993 Addison-Wesley
 
     While largely about OSI, this book contains
     lots of stuff about TCP/IP and SNMP as well.
 
1.12.01.08
    See Barnes & Noble book list.

1.12.01.09
    See Barnes & Noble book list.
 
1.12.01.10
    See Barnes & Noble book list.

1.12.01.11
    See Barnes & Noble book list.

1.12.01.12
    See Barnes & Noble book list.

1.12.01.13
    See Barnes & Noble book list.

1.12.01.14
    See Barnes & Noble book list.

1.12.01.15
<-- SNMP related books  from: Jan-Arendt Klingel
<-- [email-masked]    last update 12.06.95

     Communication Network Management, 2nd Edition
	K. Terplan
	Prentice Hall, 1992

     Enterprise Network Management: A Guide to IBM's NetView
	D.M. Peterson
	McGraw-Hill, 1994

     Exploring the Simple Network Management Protocol
	S. Harnedy
	McGraw-Hill, 1994

     The Hands-On Guide to Network Management
	John Mueller, Robert A. Williams
	McGraw-Hill, 1993

     Integrated Network Management
	I. Krishan
	McGraw-Hill, 1993

     Integriertes Netz- und Systemmanagement
	Heinz-Gerd Hegering, Sebastian Abeck
	Addison-Wesley, 1993
	ISBN 3-89319-508-4

     Management von Rechnernetzen
	K. Garbe
	Teubner, 1991

     Managing Internetworks with SNMP
	M.A. Miller
	M&T, 1993

     NetView
	A. Charley
	Van Nostrand, 1993

     NetView: A Professional Guide to SNA Network Management
	L.D. Trindell
	McGraw-Hill, 1993

     Network Management: A Practical Perspective
	Allan Leinwand, Karen Fang Conroy
	Addison-Wesley 1992/1993
	ISBN 0-201-52771-5

     Network Management
	F.J. Kauffels
	Addision-Wesley, 1992
	ISBN 0-201-56524-X

     Netzwerk-Management: Probleme, Standards, Strategien
	F.J. Kauffels
	Datacom, 1990/1992
	ISBN 3-89238-027-9

     The Simple Book, 2nd. Edition
	Marshall T. Rose
	Prentice Hall 1994
	ISBN 0-13-177254-6

     SNMP, SMP and CMIP: The Practical Guide to Network Management
	Standards
	W. Stallings
	Addison-Wesley, 1993

     SNMP: Konzepte, Verfahren, Plattformen
	R. Janssen, W. Schott
	Datacom, 1993

     SNMP-2: Simple Network Management Protocol
	D. Griffith, M. Hein
	Addison-Wesley, 1994

     TCP/IP Illustrated, Vol I
	W. Richard Stevens
	Addison-Wesley, 1994
	ISBN 0-201-63346-9

     TCP/IP Illustrated, Vol II
	W. Richard Stevens
	Addison-Wesley, 1995
	ISBN 0-201-63354-X
	ftp://ftp.aw.com/aw.prof.comp.series/wright.stevens.tcpipv2.info.tar.Z

     The Token-Ring Management Guide
	M. Nemzow
	McGraw-Hill, 1993

     Understanding SNMP MIBs
	David T. Perkins

1.12.01.16
New books list from Jan-Arendt Klingel:

"1) Simple Network Management Protocol / Version 2
   Mathias Hein, David Griffiths
   644 pages
   Thomson Publishing, 1994
   ISBN 3-929821-51-6

2) Netzwerk-Management
   Paulo Heitlinger
   561 pages
   Thomson Publishing, 1995
   ISBN 3-8266-0117-3

3) Netzwerkmanagement
   Jochen Seitz
   89 pages
   Thomson Publishing/TAT, 1994
   ISBN 3-929821-76-1

4) Internet Systems Handbook
   Part III: Chapter 12: Network Management
   Daniel C. Lynch, Marshall T. Rose
   28 pages
   Addison-Wesley, 1993
   ISBN 0-201-56741-5

Maybe the English version of books 1) and 2) are on http://www.ora.com."

1.12.01.17
    See Barnes & Noble book list.

1.12.02
SUBJECT: What periodicals are heavily oriented to SNMP?

1.12.02.01
     One bi-monthly newsletter is "SIMPLE TIMES".
     You can subscribe via email at
 
     mailto:/[email-masked]
 
     Use HELP on the Subject line for details. Also try

     http://www.simple-times.org
 
     For back issues of Simple Times, try

        http://www.simple-times.org/pub/simple-times/issues

1.12.02.02
     ConneXions, The Interoperability Report
     480 San Antonio Road, Suite 100
     Mountain View, CA 94040
 
     Ph: 415-941-3399
     Fx: 415-949-1779

1.12.03
SUBJECT: What classes are available on the topic of SNMP?

1.12.03.01
     Softbank Forums
     303 Vintage Park Drive
     Foster City, CA 94404
 
     415-578-6986
 
     EMail: [email-masked]

1.12.03.02 
     Network World Technical Seminars
 
     Ph: 800-643-4668  (direct: 508-820-7493)
     Fx: 800-756-9430

     [Fax back line, ask for document 55]

1.12.03.03
     Learning Tree International
     1805 Library St
     Reston, VA 22090-9919

     800-843-8733 or 703-709-6405

     http://www.learningtree.com

1.12.03.04
     American Research Group, Inc.
     PO Box 1039
     Cary, NC  27512
   
     919-380-0097

1.12.04
SUBJECT: What email discussion groups are available for SNMP?
 
1.12.04.01
SUBJECT: Mailing lists for SNMPv1
 
"This mailing list is currently being managed with ListProcessor,
v6.0c."

Updates to be made include the request address.  It should be:

	[email-masked]

The subject line is not looked at.  The body of the message should
contain:

	subscribe <list> <your email address>

For the snmp list, subscribe to the list by sending a message to:

	[email-masked]

with a message body of:

	subscribe snmp <emailaccount>@<mailhostname.domain>"

George Smith

1.12.04.02
SUBJECT: Mailing lists for SNMPv1

"For the snmpv2 list, subscribe to the list by sending a message to:

        [email-masked]

with a message body of:

        subscribe snmpv2 <emailaccount>@<mailhostname.domain>"

George Smith

1.12.05
SUBJECT: What trade shows cater to SNMP?

   These days nearly every networking trade show in the
   US, and many outside the US, covers the SNMP market.

   The "big name" in internetworking is (their text):
 
"NetWorld+Interop (the definitive networking event)

Online registration at
	http://www.interop.com

Phone registration and customer service: 800-962-6513 and 650-372-7079

Mail registration
NetWorld+Interop
c/o ZD Events
PO Box 45295
San Francisco CA 94145-0295"

1.12.06
SUBJECT: What SNMP Product User Groups Are There?
 
1.12.06.01
HP OPENVIEW:

For owners of a run time license to HP OpenView, there
is the the OpenView Forum (a yearly fee is charged).

OpenView users should be directed to the OpenView Forum at their web site:
http://www.ovforum.org

"You might also want to include a pointer/reference somewhere on your site
for Summit Online.  It's a great resource (check it out).  The URL is
http://www.summitonline.com"

Rick Sturm

There is an email list for the ovforum.
It is very active (20-40 messages per day).
to submit questions or responses:
	ovforum.ovforum.org
To Subscribe:
	I think it's [email-masked].  If you try to subscribe to
      ovforum.ovforum.org it will respond with subscription instructions.

Matt Dougherty

1.12.06.02
SUNNET MANAGER (revised 3/95):

  If you wish to subscribe to snm-people, send a message to

          [email-masked]

   with no subject, containing only the words:

   subscribe snm-people "Kent F Enders"
                        [^^^^^^^^^^^^^^^^^^^]

   [Editor's note: we assume this should be your name here!]

  If you wish to unsubscribe from snm-people, send the message:

    unsubscribe snm-people

  For more information on using listproc, send the message:

    help 
 
This list is devoted to the issues revolving around the use of the
SunNet Manager Software package.
 
An anonymous FTP area is set up on Zippy.Telcom.Arizona.EDU as
ftp://128.196.128.85/~/pub/snm
 
For those users that do not have access to ftp directly, zippy also
supports ftps by mail.  If you want to try it out send an email
message with the word `help' in the body of the message for some
instructions.  Send that email message to
            [email-masked].
 
An archive of the mail messages sent to the list subscribers is
maintained as well. To get an index of these messages send a message
to [email-masked] with a single line message of:
 
   INDEX SNM-PEOPLE
 
To remove your name from the mailing list send a one line mail message
to  [email-masked].  The message should contain the
line:
 
   UNSUBSCRIBE SNM-PEOPLE
 
To receive a list of the commands for the listproc send a message to
[email-masked] with a message of:
 
   HELP
 
To send a message to the list send mail to 

mailto:[email-masked]
 
1.12.06.03
IBM NetView

There is a NetView User's mailing list (not affiliated or run
by Tivoli) that is a great place to learn about NetView and
ask questions.  Quoting from the nv-l instructions:

 To subscribe to the NV-L list, send mail to [email-masked]
 (not to NV-L nor NV-L-request), with the single line in the body
 of the note:

   SUBSCRIBE NV-L firstname lastname

 This list is for the discussion of NetView and all related products,
 platforms, usage questions, bugs, and for the dissemination of
 announcements and updates by members of the NetView Association.
 Vendors are welcome to post short announcements of products and/or
 services.

You may want to visit the Tivoli NetView web page at:

 http://www.support.tivoli.com/faqs/prod5.html

Also, the IBM NetView "red books" are a good practical
source of information on NetView.  Try

 http://www.rs6000.ibm.com/resource/aix_resource/Pubs/redbooks/

or 

 http://www.redbooks.ibm.com

Brett Coley

1.12.07
SUBJECT: Where can I find SNMP-related material on WWW?

[from comp.dcom.net-management...]
----------------

1.12.07.01
it's best if you check out the following www page: it's devoted to
network management and contains an excellent overview and links to
all the different organisations and commitees:

	http://smurfland.cit.buffalo.edu/NetMan/index.html

~from: Andreas Weder

[the following www pages have been extracted from 
 elsewhere in this FAQ list ...]

1.12.07.02
Re: HNMS:
 
http://snmp.cs.utwente.nl/General/snmp-faq.html
 
Re: The tkined & scotty network management system:
 
http://www.cs.tu-bs.de/ibr/cgi-bin/sbrowser.cgi
http://www.cs.tu-bs.de/ibr/projects/nm/scotty/tcl+snmp.html
http://wwwhome.cs.utwente.nl/~schoenw/scotty/

1.12.07.03
Re: FTP Software:
 
http://www.ftp.com

1.12.07.04
Commercial SNMP Software

(This list is not exhaustive. See also SNMP FAQ Part 2):

http://www.int.snmp.com
http://www.snmp.com
http://www.epilogue.com
http://www.castlerock.com
http://world.std.com/~pfa
http://www.operations.com
http://www.adventnet.com
http://www.taboret.com
http://www.dart.com

1.12.07.05
"Announce: Networking/Management WWW Site

This on-line material covers networking basics, netware 3.1x 
system administration, network components, API's, remote boot,
security, trouble-shooting, and heaps more.

Included are links to the FAQ's and other resources.

Full access to course notes is provided.

The URL is

http://www.cit.ac.nz/smac/nm210/default.htm
 
Brian Brown

[NOTE: This site is reported missing as of 11/20/98. If
 you know of an update please email [email-masked].]

1.12.07.06
An SNMP on WWW Encyclopaedia From Bruce Barnett:

SNMP Archives summary. Maintained by Bruce Barnett

"The following are FTP/WEB sites for various packages, information, etc.
I have not used many of these tools, but do try to keep a record of 
locations. They are in no particular order.
If you have any updates/corrections, please let me know. Thanks..."

Bruce Barnett

Last update from Bruce: Jan 26, 1996

[Note: You can see from the above date that many of these
 URLs are now gone or changed. Let us now of any changes.]

http://smurfland.cit.buffalo.edu/NetMan/index.html
	 - network management index

http://smurfland.cit.buffalo.edu
	- "Understanding SNMP MIBS". Rev. 1.1.6 - Perkins, David T

ftp.tis.com:/pub/lists/snmpv2
	 - minutes/archives of SNMPv2 working group

http://wwwsnmp.cs.utwente.nl/ - Archive of SNMP and SNMPv2 mailing lists.

http://www.net.cmu.edu/projects/snmp

FTP.CS.CMU.EDU:/project/netdev/cmu-scs-snmp-Nov-1993.tar 
	improved parser for CMU software

ftp.sce.carleton.ca:/pub/snmp
	Another version of the CMU software (some bug fixes)

ftp.ics.uci.edu:mrose/isode-snmpV2/isode-snmpV2.tar.Z 
	4BSD/ISODE 8.0 SNMPv2 package
	This distribution has moved. 
	One place a copy can be obtained is listed below.

	Questions may be sent to [email-masked]
	Mailing list may be subscribed by sending mail to 
		[email-masked]

ftp://ftp.ida.liu.se/pub/isode-snmpV2/isode-snmpV2.tar.gz
	A copy of the 4BSD/ISODE 8.0 SNMPv2 package
	
ftp://zippy.telcom.arizona.edu/pub/snm/patches/snmpd2.2.3
	Updated snmpd agent for Sun/Solaris/Solaris-x86
		From sun. 

ftp.ece.ucdavis.edu (SEE FAQ PART 2)

ftp://ftp.std.com/vendors/snmp/snmp95/snmp95.tar.Z
	SNMP Agent - [email-masked] (Aleksey Y Romanov)
	Bilingual SNMPv1/SNMPv2
	two agents -
		Base agent for all UNIX systems, no MIB-II support
		Second has kernel/driver 
			MIB-II support for TCP/IP Streams systems
	Based on CMU code
	Support for inform requests
	MIBs are in accordance with recent drafts now
	Some unnecessary inheritance from SNMPv2-RFC-based was removed
	Predicable load on a host (no Mallocs)
	Portable
	Admin model separated from most of code

ftp://ftp.nmf.org/iimc/iimc/
	Tools to convert MIBS into GDMO

http://www.linux.org/

ftp://ftp.cs.utwente.nl:pub/src/snmp 
	UT-SNMPv2 Supports RFC1441-1452. 
	Includes 
		Basic Encoding Rules, 
		Packet Encoding Rules,
		Party MIB, with convenient configuration scripts
		DES, 
		SNMPv2 MIB,
		MD5,
		meta-management,
		SNMPv1 functionality,
		An API tester,
		and a nice API. 
	Missing the Manager to Manager MIB.
	Written in GNU-C. Tested on SPARC w/ SunOS 5.3 and 4.1.1
	Contact [email-masked] for more information
	There is a WWW server for this:
		http://wwwsnmp.cs.utwente.nl

ftp://ftp.cs.utwente.nl:/pub/src/snmp/UT-ROSE-1_0.tar.gz a tcl/tk interface for the 
	UT-SNMP-4_0a package (above)

ftp://ftp.demon.co.uk/pub/ibmpc/win3/winsock/apps/snmp/
ftp://ftp.demon.co.uk/pub/ibmpc/dos/apps/snmp/
        CMU SNMP code ported to DOS and Windows.
        Includes SNMPGET SNMPGETN SNMPWALK SNMPSTAT SNMPTEST SNMPTRAP
        The Windows port is WinSock compatible, 
        and includes SNMPTEST and SNMPWALK
        Submitted by Martin Bayreuther

http://wwwsnmp.cs.utwente.nl/General/mngt-rfc.html 
	RFC's (from The SimpleWeb)

[Ed's Note: The Cavebear seems to have left the cave!]

ftp://ftp.bayarea.net:/pub/vip/jude/hnms
     Hierarchical Network Management System
     A modular software package which offers compact, informative displays
     of LANs and WANs.  Uses SNMP, ICMP, and layer-2 monitoring.
     Displays use the X Window System and (currently) require Motif.
     This is free, copylefted software.
     send questions to [email-masked]

SEE ALSO ftp.bayarea.net:/pub/vip/jude/hnms

ftp://ftp.ibr.cs.tu-bs.de:/pub/local/tkined/tkined-0.9i.tar.gz - TK/TCL Mib Browser
		used to build graphical SNMP-based applications
		ftp://ftp.ibr.cs.tu-bs.de/pub/local/tkined/scotty-0.9i.tar.gz
                http://www.cs.tu-bs.de/ibr/projects/nm/tkined/
                http://www.cs.tu-bs.de/ibr/projects/nm/scotty/
ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp CMU SNMP for linux
ftp://sunsite.unc.edu/pub/Linux/system/Network/admin - CMU SNMP for linux

http://siva.cshl.org/cgi-bin/lsmbyid/001001
	tkined and scotty for linux ?

ftp://ftp.wellfleet.com/netman/snmp/perl5/SNMP-1.5b.tar.gz
	Perl5 CMU-SNMPv2 Interface by G.S.Marzot([email-masked])

http://www.cs.tu-bs.de/ibr/cgi-bin/sbrowser.cgi
	 - experimental MIB browser

http://www.cs.tu-bs.de/ibr/projects/nm/scotty/tcl+snmp.html
	More info on scotty, TCL+SNMP - a graphical NMS package

http://www.inria.fr/rodeo/personnel/hoschka/hoschka.html
	ASN.1 Resources (Philipp Hoschka, INRIA, France)
 
http://www.ietf.cnri.reston.va.us/home.html      
	IETF Home Page
        
http://www.ibr.cs.tu-bs.de/projects/nm/welcome.html     
	Project: Network Management (Free Tcl/Tk NM tools)
     
http://www.nyx.net/~tgeorges/uniforum.txt  
	SNMP:  Tom Georges Usage Paper on CMU SNMP
  
http://www.cis.ohio-state.edu/hypertext/information/rfc.html
    RFC's (Internet Request For Comments)

ftp://ftp.aud.alcatel.com/tcl/code/mib-browser.tar.gz 
	- MIB Browser by Subodh Nijsure <[email-masked]>

ftp://ftp.cs.columbia.edu:/pub/dupuy/cmu-snmp2.1.2-sol2patch.tar.gz  
	CMU 2.1.2 software for Solaris 2 (SNMPv2). 
	Uses undocumented kernel access procedures

ftp://neblina.unisinos.tche.br/pub/snmp/cmu-snmp2.1.2l3.tar.gz CMU SNMP Compiled for linux

ftp://dnpap.et.tudelft.nl/pub/btng 
	Contains:
		RMON agent for OS/2, SunOS 4.1.X, & Ultrix 4.1
		Tricklet (Perl-based SNMP tool for Unix or OS/2)

ftp://ftp.cnam.fr:/pub/CNAM/MISC/record_arp.tar.Z - Tricklet-based PERL routines 
	for learning all IP addresses from a LAN 
	(arp.pl, record_mac_addresses.pl, print_mac_addresses.pl, 
		remove_mac_address.pl) 

ftp.csc.liv.ac.uk:/hpux8/Networking/xmib-1.0b.tar.gz - 
	MIB Browser (needs tricklet)

nic.nikhef.nl:~ftp/pub/monet/monet-0.10.tar.Z 
	Xmonet network monitoring tools
	(Note: Apparently this host is missing, unreachable. or I have a typo.)

ftp.microsoft.com:SOFTLIB\MSLFILES\NEWMIB.EXE 
	MIBS for NT

FTP.NET.CMU.EDU:/pub/smicng
	 - another site for SMICNG

ftp.synoptics.com:/eng/mibcompiler/mibs.tar.Z - 
	Public MIBS

fore.com /pub/snmp/mib.2.2.6/
	 or mib.2.2.1/ - MIBS

ftp.3com.com:/3com-mibs/
	 - MIBS for 3COM devices 
	send mail to [email-masked] for additional help.

telnet://cio.cisco.com/
	CISCO MIBS
http://cio.cisco.com/warp/public/496/5.html CiscoWorks

http://www.cisco.com/public/library/newmib.shtml/
	CISCO MIBS

ftp://ftp.cisco.com/pub/mibs/
	CISCO MIBS
  	get the README file to get you started (ls doesn't work)
	MIBS for CISCO routers

ftp://ftp.sei.cmu.edu/pub/argus-1.5 
	an IP Transaction auditing tool

ftp://munnari.OZ.AU/pub/snmp/cmu-mu-snmp1.5.tar.Z 
	MIB-II enhancements to CMU's SNMPv1 API

SEE ALSO:

ftp://munnari.OZ.AU/pub/snmp/cmu-snmp2.1.2.tar.Z
      for current version

http://casper.yz.yamagata-u.ac.jp/ftp-archives/pub/network/xsnmp/
	xsnmp - X-windows based snmp program. 
	Several people have reported an inability to find this.

ftp://ftp.cs.ubc.ca/pub/local/src/snacc
	SNACC - MIB compiler with MIB-II Macros and C, C++ BER routines.

ftp://venera.isi.edu/ftp/mib
	various Public MIBS - including NOVELL

ftp://venera.isi.edu/mib/snmp-vendors-contacts

ftp://ftp.near.net/pub/cmu-snmp1.2u.tar.Z 
	Version 1.2(Unofficial) CMU SNMP code. MIB-II support

ftp://zippy.telcom.arizona.edu/pub/snm/agents/*
	Schema and oid for SunNet Manager

ftp://mercury.lcs.mit.edu/pub/snmp
	MIT SNMP code - MIB-II

ftp://gatekeeper.dec.com/pub/Digital/mib/
	Source of MIBs for DEC products.

ftp://nexus.yorku.ca/pub/tcl_snmp 
	Tcl/Tk interface to SNMP

ftp://ftp.ctron.com/pub/snmp/mibs/
	Cabletron MIBS

http://ftp.loxinfo.co.th/pub/unix/netmanager/xnetdb-v2.10.tar.gz
	Xnetdb "A network database and monitoring tool" by
	[email-masked]
	X-based network monitoring system with an integrated database which
	uses SNMP and PING to graphically display the state of the network.

ftp://ftp.ldv.e-technik.tu-muenchen.de/dist/WILMA

	SNMP toolkit
	Mib Compiler
	SimAgent - Agent Simulation for test purposes
	Mib browser
	MIB-II Agent
	Widgets
	mmak-5.2 (multiplatform project manager and makefile generator)
		Supports HP, Sun, Linux, AIX

ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp/
	Linux port of CMU code

ftp://ftp.navya.com/pub/vikas/nocol.tar.gz
	NOCOL - Network Operations Center OnLine
	From: [email-masked] (Vikas Aggarwal)	
	NOCOL (NOC-On Line) is a network monitoring package for TCP/IP networks.
	Features in 4.0
	 - Unix host performance monitor (hostmon)
	 - SNMP variables monitor for RMON, ciscos, routers, etc. (snmpmon)
	 - Ethernet load and packet rate monitor (etherload)
	 - 'rpcpingmon' for checking status of RPC portmapper
	 - Report generation (via logstats)
	 - Large number of bug fixes and considerably enhanced code
	- IP ICMP monitor (using IP 'multiping')
	- OSI reachability monitor (using OSI ping)
	- RPC portmapper monitor (using 'rpcping')
	- Ethernet load (bandwidth & pps)
	- TCP port monitor
	- Unix host performance (disks, memory, swap, load, nfs, collisions)
	- SNMP variables monitor (RMON, Cisco router, terminal server)
	- TCP data throughput monitor
	- Nameserver (named)
	- SNMP traps
	- Usage of terminal server modem lines (busy lines)
	- Appletalk route monitor (for cisco routers)
	- Novell service monitor
	- BGP peer status

ftp://it.kth.se/pub/snmp/MIB-browser.tar.Z 
	- a Tcl/Tk/CMU-based MIB browser by Markus [email-masked]

ftp://sunsite.unc.edu/pub/micro/pc-stuff/ms-windows/winsock/
ftp://sunsite.unc.edu/pub/micro/pc-stuff/ms-windows/winsnmp/

	WINSOCK & Windows SNMP Information [email-masked] (Bob Natale) 

	.../winsnmp/winsnmp_app contains
         /snmp_pp.doc	;MS Word for Windows 6.0a version
         /snmp_pp.ps	;PostScript version
         /snmp_pp.ww2	;MS Word for Windows 2.0c version

	Also, in the same directory, check out the recent update of the
	WinSNMP.hlp file (Windows help file format)
	WinSNMP/Manager API Specifications:	(various formats)
	/pub/micro/pc-stuff/ms-windows/winsnmp/winsnmp_app
		/winsnmp.doc	;MS-Word 6.0a
		/winsnmp.ww2	;MS-Word 2.0
		/winsnmp.ps	;MS PostScript
		/winsnmp.h	;text
		/winsnmp.def	;text

	To join the Windows Sockets (winsock) and Windows SNMP (winsnmp) lists,
	send e-mail:

		To:  [email-masked]
		Subject:  <leave blank>
		subscribe winsock <your name>
		subscribe winsnmp <your name>

134.220.4.1:/pub/infomagic/internet.tools.cdrom/msdos/windows/winsnmp
		Another place for information

http://www.stardust.com/wsresource/wsresrce.html
	WWW starting point for WinSOCK

http://litwww.epfl.ch/~ppvx/CCE-CNMA.html
ftp://litsun.epfl.ch:/pub/CNMA/*
	Information regarding EASN.1 (Extended ASN.1 combiler. 
	Note - this is not public domain code. 
	For more info, contact Thomas Uslaender <[email-masked]>

liawww.epfl.ch:/pub/net/snmp/lisp-snmp.tar.gz
	SNMPv1 implementation in Common Lisp.  Includes an API, a
	simple test client (snmp-netstat) and an SNMP agent for
	Symbolics Lisp Machines.  Currently reads MIB definitions in
	the form created by ISODE SNMP.
	thanks to: [email-masked] (Simon Leinen)

http://www.scriptics.com/
	- source for TCL - used by many tools

home.merit.edu:~ftp/pub/users/norton/NMSeval/Mon.Team.Rpt.txt
	Contains Bill Norton's <[email-masked]> evaluation of NMS platforms

http://www.aetc.af.mil/AETC-NetMgmt/nms-menu.html
	home page for NMS evaluations..

> The above site is restricted. You get ...
>
> "The page you attempted to reach is restricted to the Military (.mil)
> and/or Government (.gov) domain(s).  If you are attempting access from a
> non-Air Force network you will not be granted access."
>
> Mark Aubrey

http://www.concentric.net/~tkvallil/snmp.html 
	A beginner's introduction to SNMP vs. CMIP

http://ovforum.net.cmu.edu OpenView Forum with tutorials on SNMP/IP/MIBs etc

http://paf-nms.hqpacaf.af.mil/unixOV/unixOV87.html Unix OpenView Reviews and Documentation

ftp://software.watson.ibm.com/~ftp

	SNMP DPI 2.0 (RFC1592) API 
	Code that maps DPI 2.0 onto SMUX
	Works with AIX'"s SMUX-based agents
	contect "Bert Wijnen" <[email-masked]>

Commercial sites:

http://www.int.snmp.com/welcome.html
      "SNMP Research, the World's leading vendor of SNMP development
       Technology: a good, informative site, with various company
       products and technical information."

http://www.sun.com/sunsoft/Products/emp

	Sunsoft Solstice Enterprise Management site: information about 
   	various SUN products, including SUNNET Manager.
                        
http://www.com/empiretech/

[EDITOR'S NOTE: See Part 2 under "Proprietary Software"]

	Empire Technologies Inc. site: Manager and agent applications.
                         
---
Other information (Commercial, non-SNMP, etc.)

http://www.ki.com/
OpenView and NetView solutions

http://hpseeg1.nm.informatik.uni-muenchen.de HP-OVUA WWW Server
http://ftp.legent.com/innews/Press/n950227.html Legent A Key Member of HP's Expanded Openview Solution Program

http://www.iwl.com/IWL/ InterWorking Labs - SNMP Testing software
http://www.empiretech.com/empiretech - MIB Testing
http://www.ndgsoftware.com/ Netman
http://www.peregrine.com/Peregrine Systems
http://www.micromuse.com/products/index.html MicroMuse Products Home Page

ftp://ftp.uu.net/published/books/stevens.tcpipiv1.tar.Z 
Source code for Steven's book

ftp://ftp.cs.purdue.edu/pub/comer/TCPIP-vol2.dist.tar.Z
COMER source code

http://www.cs.ucl.ac.uk/research/osimis/index.htm
	OSIMIS-4.0 is now ready and as already mentioned it is available
	free of charge on a non-commercial basis to all institutions.
	Institutions wishing to obtain it should sign a non-commercial
	licence. The exact procedure is as follows:

	a. send a request to [email-masked] (NOT to this list)
	b. a soft copy of the licence will be sent to you by e-mail
	c. a signed hard copy of the licence should be sent to UCL by snail-mail
	d. as soon as the latter is received, information on FTAM/FTP access
 	   to an encrypted copy and the required decryption key will be 
         sent to you

	OSIMIS-4.0 is substantially enhanced compared to version 3.0
	and has been developed by the RACE ICM and MIDAS projects. A
	description is accessible through WWW:

	From the features described there, conditional packages are not
	yet properly supported. In short, new developments include:
	
	- a GDMO compiler and an enhanced "plug-in" MO API
	- a high level manager access API (RMIB)
	- object and state management, alarm reporting and metric objects
	- standard event reporting and logging
	- security extensions (authentication and integrity checking)
	- location transparency / discovery service using the OSI directory
	- a full CMIS/P-SNMP generic proxy facility conforming to the 
	  NMF IIMC work
	- a facility to allow management systems to work transparently
	  over simulated network/services
	- various performance/size optimisations
	- interoperability / conformance and many other fixes
	
	OSIMIS-4.0 needs ISODE-7.0, 8.0 or the ISODE Consortium R1.0
	and can be built using the GNU C++ 2.5.8 and earlier versions
	or the ATT 2.1.  A pre-built version (binaries) for Sun SPARC /
	SunOS 4.1.3 built with gcc/g++ 2.5.8 is also available.
	Operating systems supported are SunOS (not Solaris), AIX and
	HP-UX.
	
	There is no new users' manual but enough documentation
	to enable people to use the new features / convert old code.
	Bear in mind that there is NO time/resources to answer support-type
	questions, please refrain from asking.

---
There exists a UNIX program called "premosy". It extracts a MIB from an
RFC document. It was created by SNMP Research. You can request this
program by sending mail to "[email-masked]" and asking for
"premosy".

------

Re: perl & SNMP
	There are two solutions: one requires patches to perl, 
	the other (Tricklet, see above) uses an external program.
	Contact [email-masked] for information on his 
	extension/patches to perl for SNMP. It might be available via FTP on
	liasun3.epfl.ch:/pub/net/snmp/snmpperl*

Re: "The Internet Rover" contact [email-masked]

For more information, get the RFC's on SNMP. (RFC 1441-1452)

>From "Jeffrey T. Johnson" 

The next step is to get all the back issues of The Simple Times.  For
more information on this informative, free publication, send a message
to [email-masked] with a subject of "help"

There is also an online publication dealing with CMIP called CMIP Run.
Backissues are available on the host ibmstandards.cary.ibm.com (192.35.236.4)
in the directory /pub/protocols/mgmt/cmip/cmip_run, and subscription requests can be sent to
[email-masked].  (there are two list, a notification list
to tell you when a new issue is available on the ftp site, and a mail list
to which new issues are actually sent).

There are also several books on the subject, including Rose's "The Simple
Book 2nd Ed." and Stallings' "SNMP, SNMPv2, and CMIP"

~From: [email-masked]:
	Empire has a trap-exploder, that forwards traps to a list of hosts.
If you would like for Empire to email you the trap-exploder binary for
SunOS 4.1.x, just send email to:

		   [email-masked]

with subject line:  trap-exploder

http://www.slac.stanford.edu/comp/net/quick-guide.html
"QuickGuide to SLAC's Network Monitoring"

http://www.slac.stanford.edu/comp/net/wan-mon.html WAN Monitoring page
---
http://www.itu.ch/
	From: [email-masked] (Antonio)

	A pretty cool way to get ASN.1 documents  

---
~From: Christian Daudt 

To convert a SNMPv2 MIB to SNMPv1 syntax, send the MIB to 
[email-masked]

ftp.delmarva.com:/pub/nms - NeTraMet
wuarchive.wustl.edu:/doc/mailing-lists/accounting-wg/NeTraMet
ftp.aarnet.edu.au:/pub/tools/NeTraMet
ftp.near.net:/pub/NeTraMet
ftp.funet.fi:/pub/networking/management/NeTraMet
ftp.EU.net:/network/NeTraMet

	NeTraMet - the first implementation of the Internet
	Accounting Architecture (outlined in RFC 1272, 
	"Internet Accounting Background") 

---
[email-masked] - mail address of a service that registers object ID's for SNMP purposes.  

For information on SNMP tools - see RFC1470

----

email:[email-masked]

	Information on a SNMP MIB to IDL translator.
	Also a GDMO/ASN.1 to IDL translator.

-----
Mailing lists: 
	SunNetManager [email-masked]
	CableTron's Spectrum - send to [email-masked] with the message:
		subscribe spectrum your.email.address
	OpenView Forum sent mail to [email-masked]
	[email-masked] - Network Management AD
	[email-masked] - mailing list for CISCO products
	RAID MIBS 
		subscribe - mail to [email-masked] containing 
		subscribe raidmib-l <your address>
		ftp.netcom.com:/pub/ko/kodela/raidmib_archive

	ISDN-MIB

		subscribe - mail to [email-masked] containing 
		subscribe isdn-mib <your e-mail address>

	Application MIB
		To subscribe to the list, send a message to:
		 	 [email-masked]
		In the body of the message place the text:
		  	Subscribe

http://rampages.onramp.net/~cwk/net-manage.html - mailing list for MIB/HTTP

Papers:

http://cobweb.bus.utexas.edu/dmi/dmi.html 
	"A Management  Assessment of the Desktop Management Interface" by [email-masked] (Pearson, Capt Jeffrey)

Bruce Barnett

----------END of Bruce Barnett WEB ENCYCLOPAEDIA-----------

1.12.07.07
eg3.com is a free resource, serving the needs of designers in
board-level, embedded, dsp, and realtime.

We already link to Simple Network Management Protocol,
as an important resource for the engineer in our free listings.

Judy Perry

1.12.07.08

http://www.snmpworld.com

YMMV

1.12.07.09

http://www.SNMPLink.org -- based in France

1.12.08
SUBJECT: What related mailing lists exist?

1.12.08.01

J. Lindsay wrote:

"I have started a mailing list for those interested in web-based network
and systems management.  To subscribe send email to
      mailto:[email-masked]

with an email body of

      "subscribe web-manage <your email address here>"

The most applicable usenet news group is
news://comp.dcom.net-management.

TO UNSUBSCRIBE:

If you send an "unsubscribe me" message to the list itself
it is almost certain your mail box will overflow with people
flaming you.

The list is open and unmoderated. All requests should go to:

mailto:[email-masked]

1.12.20 What related newsgroups exist?

1.12.20.01

Please also visit our cousin newsgroup
        news://comp.dcom.net-management.

1.12.20.02

There's a discussion group on delphi concerning Enterprise Management.
The areas covered are CA Unicenter, HP OpenView, Tivoli, Platinum Tech,
Enterprise Management,Trade Shows, EM User Groups, Networking Jobs,
Industry Discussion, and General Discussion.

Again, this is focusing on Enterprise Management. There are over 423
members to this forum as of 11/11/98.  You can visit this site at....

http://www.delphi.com/emc2

Christopher Smiga

1.12.21
SUBJECT: Are there introductory materials?

1.12.21.01

Look for a document called "ACE-SNMP An Introductory Overview of SNMP"
at http://www.ddri.com, I've found it very easy to read and understand and a
needed step before getting at RFCs.

Alessandro Scotti

1.12.21.02

"SNMP for Dummies" at:

   http://www.netcom-sys.com/techdocs.html

Is also good startup reading.

John J. Miller

1.13.00 --Miscellaneous

1.13.01
SUBJECT: SNMP and Autodiscovery

1.13.01.01

"Automated topology discovery is a hard problem due to the diversity of deployed
systems and the wide distribution of resource information.  I will briefly
mention some reasons why a ping/traceroute based approach will not work :
subnetting, tunneling, firewalls, virtual LANS.  Your network topology
discovery tool would have to extract more information like subnet masks,
etc and use heuristics for "guessing" the real topology.

I was a teaching assistant for the computer networks course offered in the
spring at Columbia, and assigned the third class project on network topology
discovery.  You may want to refer to the project resources WWW page at the
URL="http://www.cs.columbia.edu/networks97/project3/resources.html"

Alexander V. Konstantinou"

1.13.01.02

"[...]these are some of the methods that I had used

1. SNMP Broadcast on your local net; all SNMP agents respond
2. Listening for RIP, and OSPF ports, you'll get info on the routers around,
and consequently the different sub-networks connected by this router. If you
need a better discovery you could listen on both IP and IPX ports.
3. ICMP Router interface discovery; this will again give you information on
all the router interfaces (sub-nets)
4. Once you know a sub-net and it's mask (I'm speaking about IP nets) you
could issue an ICMP-echo spray to all the possible IP addresses in that
range, the one's who are alive will respond. But this has to be fine tuned
so that you do not swamp the network with disocvery packets. In case of IPX
you issue an IPX diagnostic message spray (the counterpart of ICMP in Novell
networks).
5. You could walk the routing tables (MIB2) and get information about other
routers and sub-nets. You could figure out the type of the sub-net (MAC
layer) by looking up "ifType" for each of the router interfaces.

NOTE: The typical problems you would face is handling unnumbered router
ports, and proxy-ARP issues."

Mohit Tendolkar

1.13.01.03

Check out this paper:
http://www.cs.cornell.edu/skeshav/papers/discovery.pdf

Daniel Secci

1.13.02
SUBJECT: SNMP Traps

I am relatively ignorant about SNMP. However, I have spent a
reasonable amount of effort investigating agents, managers, the
technology, and I have read most of the important RFC's.

There are a bunch of related but simple, practical questions to which
I cannot get a straight answer: Are SNMP traps useful in the real
world? Can you depend on traps being sent across networks? Do agents
repeat traps? How do you select a polling interval if there are traps
you consider very important?

RFC 1215 (the one with the TRAP-TYPE macro) says traps are a bad idea
(well, sort of). RFC 1224 seems to describe a method to acknowledge
SNMP traps and throttle them?

What's the real feeling...you know, in practice? The real state of the
art?

Shyamal Prasad

Traps are very useful to us. They let us know when a router link goes down,
when network performance is degrading, when a power failure has occurred,
etc. - just to name a few.

You don't poll for traps - the agent just sends the traps to the network
management station(s) you tell it to send them to. Now you can program the
network management station to take automatic action if you so desire. For
example, if one of our ethernet concentrators sends us traps on a
misbehaving port we automatically do some checking and if it is a situation
that could potentially take our whole segment down we automatically
partition the port off of the network. I'm sure this has saved numerous
network outages.

Yes, agents may send repetitive traps. The way you throttle or deal with
them depends on the software you use on your network management station.

All that said - you cannot rely on traps alone. For example, if I die - I
cannot pick up the phone and tell someone that "I am dead". Neither can a
SNMP agent. Therefore it is good to poll the agents periodically just to see
if they are alive and well.

Blaine Owens

1.13.03
SUBJECT:  SNMP and/versus the Web

1.13.03.01
SNMP MIB Browsers for Web Software

1.13.03.01.01
Commercially Available.

1.13.03.01.01.01
     MibMaster, an SNMP to HTML Gateway from Equivalence

     http://www.equival.com/
     An evaluation version is available free.  A fully-functional
     version can be purchased.

1.13.03.01.02
Public Domain.

http://www.uni-ulm.de/urz/mibbtogather/

1.13.03.02
Web Browsers as Network Agents/Managers

No data available.

1.13.04
SUBJECT:  SNMP and Java
------

"If you have a Linux or Windows NT environment check out:
  http://www.equival.com/

For Java see:
  http://www.adventnet.com/"

Carl H. Wist

Other sources:

http://www.mindspring.com/~jlindsay/javamgmt.html
http://www.research.att.com/~nikos/marvel/
http://madonna.postech.ac.kr/~sunhokim/snmp.html
http://java.sun.com/products/JavaManagement/index.html
http://www.thinsoft.com/
http://www.west.nl/archive/java/snmp/
http://www.westhawk.co.uk/

Hope this helps.

Martin Cooley

1.13.04.01
Java Classes/Applets/Etc for SNMP

1.13.04.01.01
Commercially Available

1.13.04.01.01.01
     Advent Network Management, Inc.

     http://www.adventnet.com

     mailto:[email-masked]

       AdventNet, Inc.
       1090 King Georges Post Road, Suite 405
       Edison, NJ 08837
       Phone: 1-800-470-5959 OR +1-732-738-6669
       Fax    :  +1-732-738-5377

1.13.04.01.01.02
     SunSoft

     http://java.sun.com

     Note: the above is one place to start, but don't
     forget to search the Web

"Another option for building SNMP agents in Java is Sun's
Java Dynamic Management Kit (JDMK) product.  Take a look at
http://www.sun.com/software/java-dynamic/

JDMK is based on Java Beans -- as the agent developer, all you have to
do is to adhere to the Java Beans design patterns in your Java code.
An SNMP MIB compiler is provided that translates an SNMP MIB definition
into Java Beans, you then need to fill in the methods of the generated
Beans."

Dave Hendricks

>  ... could some one tell me how to subscribe to the JDMK mailing
> list I have subscribed using the indication of the JDMK home page but I
> do not think some thing happening on this list :

You should subscribe by sending an email to [email-masked] 
containing in the body:

SUBSCRIBE JDMK-FORUM <your email address>

(I am not sure whether you should also remove your signature, but I 
guess it is safer anyway)

To get a better response time, please direct your questions regarding
JDMK to the JDMK-FORUM list rather than to this forum.

The JDMK-FORUM archives are accessible at 
    http://archives.java.sun.com

Daniel Fuchs

1.13.04.01.01.03
     Gamelan

     http://www.gamelan.com

     Lots of links to Java sites, developers, code, etc.

1.13.04.01.01.04

[...]Furthermore, the coupling of Sun's Jini and JDMK looks promising for
creating "plug-and-manage" systems

http://www.sun.com/consumer-embedded/cover/jdmkjini.html

Steve Common

1.13.04.01.01.05
You may want to mention Cyberons for Java -- SNMP Manager Toolkit from
Netaphor

This product sells for $499 per developer license and royalty-free
unlimited distributions.

The product also provides high level functions such as device
discovery, MIB walks, columnar and row access to tabular data, etc.

A programmer's guide is available online at http://cyberons.com.

Shripathi Kamath

1.13.04.01.02
Public Domain

1.13.04.01.02.01

From Jan-Arendt Klingel ...

"Beside MIB-Master there is the JaSCA class library (Java SNMP Control  
Applet). The URL is http://termiitti.akumiitti.fi/nixu/. The organisation  
is called Nixu Oy and is located in Finland. One of the three authors is  
Pekka Nikander ([email-masked]).

[Note: This site seems to have moved to www.nixu.fi, is all in Finnish.]

1.13.04.01.02.02

There is a mailing list called "Java Network Management Mailing List" on  
[email-masked]. To subscribe send an email to  
[email-masked] with a body of "subscribe java-nm". There is not  
so much traffic on the list (maybe because of a bug in the majordomo  
list).

1.13.04.01.02.03

The URL http://www.West.nl/archive/java/snmp/ seems to have disappeared.
-Ed

1.13.04.01.02.04

A very nice Java tool can be found on http://misa.zurich.ibm.com/~lde/.  
It's Luca Deris hot application called "Liaison", developed at the IBM  
Research Center in Zurich. There are SNMP and CMIS-agents to query network  
management data.

[Note: Site reported unreachable, 11/20/98]

In the next three months I will hopefully present a network management  
application with Java "droplets". The URL is http://193.174.26.169:8080.  
Remember to switch off "lock ports above 1024" at your firewall."

Jan-Arendt Klingel

1.13.04.01.02.05

From "Patrick"

If you are looking for creating SNMP agents in Java, you can look at :

JDMK : contains a mib compiler that creates java (agent) classes from a mib.

JMAPI :  Java Management API (JMAPI)

Java Dynamic Management Kit : http://www.sun.com/software/java-dynamic
JMAPI : http://java.sun.com:80/products/JavaManagement/index.html

1.13.04.01.02.06

"JMGMT is a java implementation of a SNMP stack.
It also includes source code of examples [of]
how to start writing servlets and an agent with JMGMT.
The JMGMT java classes include packages for

 * the representation of ASN.1 values,
 * BER encoding and decoding of ASN.1 values,
 * the representation of SNMP v1 packets,
 * SNMP I/O with peers and connections,
 * and SNMP exception handling.

2nd public release, now with full source code.

JMGMT is a java implementation of a SNMP v1 stack.

It also includes the complete source code of all classes
and examples how to start writing servlets and an agent with JMGMT.

The JMGMT java classes include packages for =

 * the representation of ASN.1 values, =

 * BER encoding and decoding of ASN.1 values, =

 * the representation of SNMP v1 packets, =

 * SNMP I/O with peers and connections, =

 * and SNMP exception handling. =

The JMGMT classes are free and available for download on

  http://i31www.ira.uka.de/~sd/mgmt/jmgmt-1.1.zip

API documentation is online at

  http://i31www.ira.uka.de/~sd/mgmt/jmgmt/README.html

Sven Doerr

1.13.05
SUBJECT: SNMP and CORBA

>I am currently using an SNMP Manager from SNMP Research on a UNIX
>Solaris box and am looking for a CORBA compliant SNMP Manager.  Does
>anyone know of such an animal?

>Dave Stephens

What do you mean when you say "CORBA compliant" SNMP manager?
If you mean that the SNMP manager should provide a CORBA programming
interface you will find some products when you search the internet
for the term "JIDM" (Joint Inter Domain Management).

Werner Poeppel

1.13.06
SUBJECT: SNMP and Visual Basic

1.13.06.01
Terri Coleman wrote:
> 
> I need to be able to write SNMP Sets and Gets from within a Visual Basic
> application.  Can anyone help?

Maybe this package of ocx's contains what you are looking for
	http://www.dart.com/powertcp/
Free trail version for download available.

Bernhard Fischer

1.13.06.02
LogiSoft AR has SNMPv2 toolkit for Visual Basic that includes SNMP
ActiveX control and utilities supporting v1 and v2c
Look up www.logisoftar.com

Alan Revzin

1.13.06.03
NETAPHOR SOFTWARE, INC., has recently released Cyberons, a
suite of ActiveX components for engineering and networking applications,
which includes a SNMP Manager control.

Please note that we do not support trap reception at this time, though this
feature will be included in our next release. But if you want to perform
SNMP Get, GetNext and Set operations with a real lightweight control, which
requires minimal VB code in order to be functional, I think you will find
the Cyberons product to be an ideal match.

You can check out our free 30-day trial by downloading it from
http://www.netaphor.com/products/index.asp

Gopal Narayan

1.13.06.04
You may want to try Mabry Software.  They have an OCX that you can download
from http://www.mabry.com.

Richard Grier

1.20.00 --General Questions about SNMPv2

1.20.01
SUBJECT: What is SNMPv2?

   SNMPv2 is a revised protocol (not just a new MIB)
   which includes improvements to SNMP in the areas
   of performance, security, confidentiality, and
   manager-to-manager communications.

   SNMPv2 Framework :
   The following RFC's identify the major components of SNMPv2.

   Historical
   ----------
 
   RFC 1441 - Introduction to SNMP v2
   RFC 1442 - SMI For SNMP v2
   RFC 1443 - Textual Conventions for SNMP v2
   RFC 1444 - Conformance Statements for SNMP v2
   RFC 1445 - Administrative Model for SNMP v2
   RFC 1446 - Security Protocols for SNMP v2
   RFC 1447 - Party MIB for SNMP v2
   RFC 1448 - Protocol Operations for SNMP v2
   RFC 1449 - Transoport Mappings for SNMP v2
   RFC 1450 - MIB for SNMP v2
   RFC 1451 - Manager to Manger MIB
   RFC 1452 - Coexistance between SNMP v1 and SNMP v2

Micha Kushner adds:

RFC Number   Title                                   Status
--------------
RFC 1901     Introduction to Community-based SNMPv2  Experim Standard
RFC 1902     SMI for SNMPv2                          Draft Standard
RFC 1903     Textual conventions for SNMPv2          Draft Standard
RFC 1904     Conformance statements for SNMPv2       Draft Standard
RFC 1905     Protocol operations for SNMPv2          Draft Standard
RFC 1906     Transport mappings for SNMPv2           Draft Standard
RFC 1907     MIB for SNMPv2                          Draft Standard
RFC 1908     Coexistence between SNMPv1 and SNMPv2   Draft Standard

Wes Hardaker adds:

"All SNMPv2 versions but one are historical.  Only SNMPv2c is
experimental, but is widely accepted as the SNMPv2 standard.  Note
that the other pieces of SNMPv2 (protocol, SMI, etc) are on the
standards track.  Only the architecture that ties them together is
experimental.  The SNMPv2 messaging protocol, etc, are referenced in
the SNMPv3 documents, which are on the standards track at draft
standard right now."

1.20.02
SUBJECT: What is SNMPv2*/SNMPv1+/SNMPv1.5/SNMP++?

  SNMPv2 had been announced for many months, and most of us assumed that it was
  accepted as the next step up from SNMPv1. That assumption was false.  In fact there
  were several points on which the members of the IETF subcommittee could not agree.
  Primary among them was the security and administrative needs of the protocol.

  Simply put, SNMPv2*/SNMPv1+/SNMPv1.5 is SNMPv2 without the contentious
  pieces, but *with* the stuff everyone agrees is of value.

  You may wish to check
     http://www.int.snmp.com/v2star.html
   for more details.

===

Edward M. Hourigan wrote:
: I keep hearing about SNMP++.  What is it?  Are there any web pages
: describing what it is? 

  I believe there is a Web site with this info at :

	http://rosegarden.external.hp.com/snmp++/

  Hope this helps,

	John Silva

also:

The original SNMP++ 2.6 sources can be found at

http://rosegarden.external.hp.com/snmp++

If you`re looking for a Linux/Solaris/Digital port you might
try 

http://fock.de/frank/english/agent++src

Frank Fock

[Editor's Note:  See also Part 2: Public Domain SNMP software]

I'd like to announce availability of MG-WinSNMP SDK V1.0b6,
a 32-bit implementation of WinSNMP specification. It is 
available under the shareware license and you are welcome 
to download it from the following URLs:

http://www.mg-soft.si/
http://www.abit.co.jp/varidocs/download.html

This release of MG-WinSNMP SDK (wsnmp32.dll, a 32-bit 
winsnmp.dll library) by MG-SOFT Corporation has been 
published in order to gain compatibility with the Revision 
2.5f of SNMP++, an Open Specification for Object Oriented 
Network Management Development Using C++ by Peter Erik 
Mellquist, Hewlett Packard Company.
(http://rosegarden.external.hp.com/snmp++/)

Matjaz Vrecko

[Editor's Note:  See also Part 2: Public Domain SNMP software]

1.20.03
SUBJECT: What is SNMPv2c?

SNMPv2c is the combination of the enhanced protocol features
of SNMPv2 without the SNMPv2 security. The "c" comes from the
fact that SNMPv2c uses the SNMPv1 community string paradigm
for "security".

1.20.04
SUBJECT: What the heck other SNMPv's are there?

See http://www.simple-times.org/pub/simple-times/issues/5-1.html

1.22.00 --General Questions about SNMPv3

1.22.01
SUBJECT: What is SNMP V3?

Refer to http://www.ietf.org/html.charters/snmpv3-charter.html

See also:

"I am happy to announce that a SimpleTimes issue on SNMPv3 is now
available from the SimpleTimes Web server:

          http://www.simple-times.org/

The journal is available in PostScript and HTML format. New
SimpleTimes issues are announced over a special mailing list.  More
details about the SimpleTimes project and how to subscribe to this
mailing list can be found in the December 1997 issue or on the Web
server.

I hope you all enjoy reading this issue on SNMPv3 and I wish you all
the best for 1998."

Juergen Schoenwaelder

Juergen later added:

"You can find these links and many more on the SNMPv3 web page at:

	http://www.ibr.cs.tu-bs.de/projects/snmpv3/"

Micha Kushner adds:

RFC Number   Title                            Status=PROPOSED
--------------
Status = 3D PROPOSED
RFC 2271   An Architecture for Describing SNMP Management Frameworks
RFC 2272   Message Processing and Dispatching for the Simple Network
           Management Protocol (SNMP)
RFC 2273   SNMPv3 Applications
RFC 2274   User-based Security Model (USM) for version 3 of the 
	     Simple Network Management Protocol (SNMPv3)
RFC 2275   View-based Access Control Model (VACM) for the Simple
	     Network Management Protocol (SNMP)

Status = 3DDRAFT STANDARD
RFC 2570     Introduction to Version 3 of the Internet-standard Network
             Management Framework  (Status=3DINFORMATIONAL)
RFC 2571     An Architecture for Describing SNMP Management Frameworks
RFC 2572     Message Processing and Dispatching for the Simple Network
             Management Protocol (SNMP)
RFC 2573     SNMP Applications
RFC 2574     User-based Security Model (USM) for version 3 of the
             Simple Network Management Protocol (SNMPv3)
RFC 2575     View-based Access Control Model (VACM) for the Simple
             Network Management Protocol (SNMP)
Internet-
  Draft      Coexistence between Version 1, Version 2, and Version 3
             of the Internet-standard Network Management Framework

also, for SNMPv3 implementations ...

"See the list on
	http://www.ibr.cs.tu-bs.de/projects/snmpv3/#Implementations"

Simon Leinen

Bill Stallings writes:

My paper, "SNMPv3: A Security Enhancement to SNMP" published in the 4th
Quarter 1998 issue of the online journal IEEE Communications Surveys, is
now available at http://www.comsoc.org/pubs/surveys.

 http://www.comsoc.org/pubs/surveys/4q98issue/stallings.html
 
1.30.00 --RMON

1.30.01
SUBJECT: What is RMON?
----------------
  The Remote Network Monitoring MIB is a SNMP MIB for remote
  management of networks.  While other MIBs usually are created to
  support a network device whose primary function is other than
  management, RMON was created to provide management of a network. 
  RMON is one of the many SNMP based MIBs that are on the IETF
  Standards track.
 
1.30.02
SUBJECT: RMON Standardization Status

  RMON is one of the many SNMP based MIBs that are on the IETF
  Standards track (RFC 1310).  Currently (Jan 94) RMON has two
  instantiations in the IETF standards process.  First, RFC
  1271 - a Proposed Standard, specifies the general structure
  of RMON and the particulars of an Ethernet based RMON agent.
  RFC 1513 - a Proposed Standard specifies the additional RMON
  groups and specifics for a Token Ring network.
 
1.30.03
SUBJECT: RMON Working Group.

  The RMON Working Group is an IETF Working Group under the Network
  Management Area.  The WG meets periodically - usually at all IETF 
  meetings.  The WG maintains a mailing list for Questions and
  Comments concerning RMON.
 
    Mail List: mailto:[email-masked]  ?

    If no luck there, try [email-masked]

   The group's charter can be found at:

   http://www.ietf.cnri.reston.va.us/html.charters/rmonmib-charter.html
 
1.30.04
SUBJECT: Joining the RMON Working Group Mailing List

  To join the RMON Working Group mailing list, send mail to:
 
    Mail List Request: mailto:[email-masked].
 
  DO NOT send a request to join message to the general mailing list.

[Editor's Note: We have received a complaint that this request
 may bounce. The claremont.edu addresses may no longer be active]

    You may also wish to try: mailto:[email-masked]

(Thanks to James Stansell for the detective work.)
 
1.30.05
SUBJECT: Historical RMON Records

  There are copies of the RMON mailing list messages and meeting
  minutes within the IETF archive structure - available at various
  sites.
 
  There is also a RMON archive directory which can be accessed via 
  anonymous ftp at:

   jarthur.cs.hmc.edu,  directory /pub/rmon
 
[Editor's Note: We have received a complaint that site no longer exists
 (or, was not at home when someone called). Anyone know if this site remains active?
 Is this the same place as jarthur.claremont.edu?]

1.30.06
SUBJECT: RMON Documents

  1.  RMON White Paper in  the anonymous ftp directory at 
  jarthur.cs.hmc.edu.  There are two formats: frame and postscript. 
  This paper was developed by members of the RMON working group
  prior to an Interop.  It is a superficial discussion of RMON.
 
  2.  Chapter 7 in "SNMP, SNMPv2 and CMIP: The Practical Guide to
      Network Management Standards" by William Stallings, (c) 1993
  Addison-Wesley, goes into some detail on the RMON MIB.

1.30.07
SUBJECT: RMON2

RMON2 is an IETF standards track effort.

The IETF RMON working group started on the RMON2 MIB module
back in the fall of 1994. It was published as RFC 2021 in
January 1997. All of the leading probe vendors, including
NetScout, Technically Elite, Solcom, HP, etc have probes
that support it. Also, many of the networking device manufacturers
including Bay Networks and 3Com have embedded RMON2 support
in their products. 

There was an interoperability test summit in December 1997, which
was attended by all of the companies above plus Cisco and
Cabletron.

The RMON2 specification is quite stable and ready for advancement
in the standards process. Two additions are in the works to be
published. They are RMON extensions for switches and an RMON
extension for fast networks.

The major difference [between RMON and RMON2] is that RMON provided
statistics only at the data link layer, where as RMON2 provides
statistics at the network and upper layers. 

As to the original questions from Paul Black,

It is difficult to take advantange of all the features in RMON
with generic tools. With RMON2, it is even more difficult.

Try
 http://www.netscout.com
 http://www.tecelite.com
 http://www.solcom.com

David T. Perkins [post edited for conciseness]

1.40.00 --ISODE

1.40.01
SUBJECT: What is ISODE?
------
ISODE (pronounced "eye-so-DEE") is an acronym for "ISO Develoment
Environment".  It is an implementation of SNMP which can be used
as the starting point for further refinement by you. In order to use
it you must agree to the conditions. This quote is from "The Simple Book", 2nd ed.:

"[ISODE] is openly available but is NOT in the public domain. You are
allowed and encouraged to take this software and use it for any lawful
purpose. However, as a condition of use, you are required to hold
harmless all contributors."

Most MIB compilers seen by this editor sprang from ISODE roots.

1.40.02
SUBJECT: Where can I get ISODE?

The old archive was ...
ftp.ics.uci.edu:mrose/isode-snmpV2/isode-snmpV2.tar.Z
        4BSD/ISODE 8.0 SNMPv2 package
        This distribution has moved.
        One place a copy can be obtained is listed below.
 
        Questions may be sent to [email-masked]
        Mailing list may be subscribed by sending mail to
                [email-masked]
 
  ftp://ftp.ida.liu.se/pub/isode-snmpV2/isode-snmpV2.tar.gz
        A copy of the 4BSD/ISODE 8.0 SNMPv2 package

  ftp://ftp.ida.liu.se/pub/isode-snmpV2/isode-8.tar.gz
  ftp://ftp.ida.liu.se/pub/isode-snmpV2/isode-snmpV2.tar.gz

1.40.03
SUBJECT: Is there an ISODE  SNMPv2 Mailing List?

Yes.  To subscribe, send email to:

    mailto:[email-masked]

1.50.00 --Using SNMP to Monitor or Manage

1.50.01
SUBJECT:How do I calculate utilization using SNMP?

Brad Harris wrote:

> We are trying to setup T-1 utilization percentage stats using ifInOctets
> and ifOutOctets.

MANY ANSWERS FOLLOW:

1.50.01.01

I would suggest:

(DELTA(ifInOctets) + DELTA(ifOutOctets)) * 8
-------- * 100
(DELTA(sysUpTime) / 100) * 1 540 000

where DELTA(attribute) means the difference of the value
of attribute between two polls. Of course, the values for
ifInOctets, ifOutOctets and sysUpTime should be requested
in one single PDU.

Olivier Miakinen

1.50.01.02

Serial lines (including TDM systems like T1) measure interface
speed as half duplex.  That is, the 1.544 Megabit per second
bandwidth is one way; a full duplex line actually has twice that
value.  1.544 Mb for transmit, 1.544 Mb for receive.  If you want
the "interface utilization", then you would add outOctetcs and
inOctets together, as you did, but use 3088000 for the interface
speed.

If you want "line utilization" (which is more valuable for
typical management operations), you could use the "max" value of
in or out Octets, as in the previous example.  This is more
useful, because the line may be at 50% utilization (using your
method) and still be saturated, if all traffic is going one way.

T. Max Devlin

1.50.01.03

Make sure your time delta doesn't exceed the wrap time the 32 bit MIB2
counters,  ~6 Hrs for T1.  Its a nice touch if ifInOctets and ifOutOctets are
bound in the same PDUs.  Also bind sysUpTime in each PDU so you can detect
agent reload.

Charlie Dellacona

1.50.01.04

T1 circuits are duplex, you have to have separate
utilisation formulae for both in and out. Otherwise you run the risk of
missing that your heavily utilised in one direction because the other is
very light. In many configurations this is a likely situation, a short
frame requesting data from a server or mainframe resulting in megabytes
heading in the opposite direction.

Wim Harthoorn

1.50.01.05

To make your figures mean something useful, generate incoming and outgoing 
utilization separately. A T1 link is full-duplex....1.544 Mbps in each
direction. An organizational T1 Internet link will saturate on the incoming 
side while the outgoing side is less than half utilized.  Your formula would 
indicate that the link had some extra bandwidth capability when in reality 
its a major bottleneck.

Gary Flynn

1.50.01.06

You are missing a few subtleties of getting this exactly right.  What
you want to do is sample (all in one packet exchange) the values of
ifInOctets, ifOutOctets, and sysUptime.  Then, you sample all three
again (after some interval) and use the three deltas to compute:

	Delta(ifInOctets)*8
	-- => Input % utilization
	Delta(sysUptime)*154

And likewise for output.  Note that there are two factors of 100
folded into the denominator (that's why 154 instead of 1540000), one
since sysUptime is hundredths of a second and the second to get a
percent rather than a fraction.  You could also fold the 8 and 154
together as well, but that's not an integer...  And be sure your Delta
function properly accounts for wrapping.

You should do this periodically, each time computing the deltas from
the previous sample, dropping intervals that are "insane"
(e.g. sysUptime has a large delta [positive or negative] compared to
the wall [or monitoring system] clock).  You will want to compute
_both_ deltas and plot them over time as well as extracting just the
maximum value.  You want a sampling period that's small enough to
really indicate peaks, without being so short it overloads the
monitoring or monitored systems.  If you can, you want to monitor both
ends of the line (ifOutOctets at one end may be greater than
ifInOctets at the other, in which case it's a better measure of load
in that direction).

Michael A. Patton

1.50.01.07

Dependent on your need for reproduction and historical tracking of the
utilization and other factors such as error rates, you might want to
consider purchasing a performance monitoring and reporting tool to help
you through some of this.

We have a tool for doing precisely what you want, and it also solves for
cases of counter roll-over and sysuptime resets.  Our tool is called
ClearStats and is very economical and flexible.  We have autodiscover
and automated/scheduled reporting. Check us out at
http://www.clearstats.com

John Catalano

1.50.01.08

Dan Cox wrote:
> if you look in the rmon mib and look at the description of
> etherstatsoctets it tells you if you
> want to get utilization that you sample etherstatsoctets at two
> intervals and use this formula.  I want someone to explain the formula
> to me.
> 
> Here it is
>                        Packets   *   (9.6 + 6.4) + (Octets * .8)
> utilization =     ----------------------------------------------
>                                      Interval  *  10,000
> 
> I assuming this is for 10 mbps ethernet.
> What is the 9.6 and 6.4?
> Why do you need to know the number of packets?
> What formula do you use if you are using 100 mbps ethernet?
> What if it is full-duplex?

In the formula, 9.6 is the interpacket gap time in micro seconds.
6.4 is the preamble+start-frame-delimiter time in micro seconds.
Each time you send a packet, these are present.
The 10,000 is the speed. You change this to 100,000 for 100 Mb/s
ethernet.
For full duplex, the formula is the same, but it applies to
each channel. That is, full duplex is a point-to-point technology.
If you connect nodes A and B. There are essentially two dedicated
and contention free channels, one from from A to B and the other
from B to A. You can compute utilization on each channel.

David T. Perkins

1.50.01.09

Have a look at http://www.statscout.com/support/paper1.html for a little
bit of info on calculating utilization statistics. 

Paul Koch

1.50.01.10

Raja Kolli wrote:

> How do you represent the speed for full-duplex links e.g. full-duplex 10Mb
> ethernet, Should it be 10Mbps or 20Mbps? Or is there any other object (new
> ifType value etc.,) that can be used to represent full-duplex operation?
> Appreciate any pointers on the standrards.

Page 7 of RFC 2358, Definitions of Managed Objects for the Ethernet-like
Interface Types, describes how the ifSpeed object from IF-MIB should be
set for full-duplex ethernet interfaces:

[RFC quote deleted -- go get yourself a copy. Ed.]

So, the answer to your question is that for a full-duplex 10BaseT interface
ifSpeed should be 10Mbps, just as it is for a half-duplex interface.

C. M. "Mike" Heard

1.50.02
SUBJECT: What are Appropriate Operating Thresholds?

>We've just installed brand new PS Hubs and a SSII switch 3300 with SNMP
>capabilities from 3Com, and we're managing it with the Transcend Workgroup
>for Windows 6.0 application. Does anyone know which are the suitable
>thresholds for both hub and switch alarms? Basicly, I'd like to know just
>the more usual : Total errors, FCS errors, alignment errors, broadcast
>packets, runts, collisions, undersize and oversize packets, long and short
>events.
>
> Jorge Alaman~ac

[Editor's Note: T. Max Devlin's response has been edited to fit.
 These out takes are noted by "[...]".]

Suitable thresholds are environmentally sensitive; everybody's "correct"
values area little different.  The best you will get from products or
info sources are more "defaults" than "best guesses", IMHO.  We've found
that the ideal setting for thresholds does not correlate to absolute
numbers, or even typical ranges. [...]

The best approach, seriously, to thresholding is to consider, not some
absolute concept of the perfect network metrics, but the results of the
thresholding.  Essentially, you should look at a simple plot of your
values over a few hours and a few days (baselining), then pick a
threshold value that will result in an "appropriate" number of alerts.
If you want a log-style "this is how many times this happens", you might
want every peak to trip the threshold.  If a more report-oriented "the
occurrences happened at this time", a slightly higher value might be
called for.  "This is a problem, you should know about it even if you
can't 'fix' it" thresholds might trigger a few times a week, and the
"the network is broken; get busy" alerts should essentially be set high
enough so that they never happen under typical network conditions.

The real issue is not what the numbers should be, but how often you want
to know about it. [...]

But just so I don't leave you high and dry, here's some beginning
defaults, if you insist:

Total errors: <2%
FCS errors: <2%
Alignment errors: <1%
broadcast packets: Start with 10%; bring up if you are flooded, bring
                   down if it never triggers
runts: <1%, but some systems might have much larger values under normal
            conditions
collisions: 10%
undersize and oversize packets: <1%
long and short events: <1%

T. Max Devlin

1.50.03
SUBJECT: Are MIBs available to monitor application traffic?

George Koukoulas  wrote:

: I would like to find out if there are any MIBs about management
: of application traffic, meaning separate management of ftp,
: http, telnet, smtp, etc application traffic.

There are two to-be-published MIBs that may be of interest to you.

The Application Management MIB <draft-ietf-applmib-mib-11.txt> provides
statistics for application or service IO channels. On top of these 
channels, one can have transaction streams with transaction kind 
specific statistics.

The WWW Services MIB <draft-ietf-applmib-wwwmib-11.txt> provides a core
set of statistics for Web services. It is written against an abstract
document transfer protocol. Mappings to FTP and HTTP are defined in the
document.

Both MIBs have been approved by the IESG for publication as Prosposed
Standards. They are currently sitting in the queue of the RFC editor
waiting for publications as RFCs. Both MIBs are the product of the
application management working group.
				
Juergen Schoenwaelder

1.50.04
SUBJECT: How can I make sense of the Interfaces Group?

You should definately look at RFC 2863 which is the latest definition of 
the interfaces group. The introductionary text is very valuable in order
to understand of the IF-MIB evolved over time.

Juergen Schoenwaelder

1.50.04.01

> If an interface is full duplex, does that mean it can transmit at a
> rate of 'ifSpeed' in each direction simultaneously, or does it mean that
> the interface has 'ifSpeed' worth of bandwidth in total?
>
> Glenn Reesor

ifSpeed should represent an estimate of the bandwidth of the 
interface. ifHighSpeed should be used if ifSpeed isn't 
large enough. 

http://www.faqs.org/rfcs/rfc1573.html

Les Cargill

There seems to be rough consensus on the former interpretation, i.e.,
that the interface can transmit at a rate of 'ifSpeed' in each direction
simultaneously.

Mike Heard

1.50.04.02

> If an interface is half duplex, does that mean that it can transmit
> at a rate of 'ifSpeed' in each direction, but only one direction at a
> time?
>
> Glenn Reesor

There seems to be nearly universal agreement on this interpretation.

In searching the IETF mail archive (specifically 1998-07.mail.aug4)
I found the following two excerpts which might be helpful:

On Friday, 3 Apr 1998, Gary Hanson wrote:
> > Should the ifSpeed for a T1 interface be 1.54Mb or should it be 3.08Mb
> > in that it can sustain 1.54Mb in both the transmit and receive
>
> The latest <draft-ietf-trunkmib-ds1-mib-08.txt> for the DS1-MIB is
> unambiguous on this point.  In section 3.1 it says to use 1544000
> for the ifSpeed for DS1 lines.

On Wednesday, 20 May 1998, John Flick wrote:
>  > 5) How do you tell if the interface is half or full-duplex for
>  >    both ethernet and token ring interfaces?
>
> The current answer for Ethernet is ifMauType.  Using ifSpeed, as one
> response suggested, has been used by some vendors (a survey I did a
> few months ago showed about half of the responders doubled ifSpeed for 
> full-duplex, though most agreed that this is a kludge).  The consensus 
> of the hubmib WG was that this should be disallowed.  The hubmib WG is 
> currently debating whether ifMauType is adequate, or if we need to add 
> an object for duplex mode to either the Ethernet MIB or IF-MIB.

Mike Heard

1.75.00 -- SNMP Engineering and Consulting

1.75.01
SUBJECT: SNMP Engineering and Consulting Firms

[Editor's Note: Business entities named in this section should have
a minimum of three years of direct experience implementing SNMP
solutions at either the manager or agent node.]

1.75.01.01

    Core Competence Inc.

    David M. Piscitello
    3 Myrtle Bank Lane
    Hilton Head, SC 29926

    Email: [email-masked]
    Phone: (843) 683-9988
    Fax: (843) 689-5595

1.75.01.02

     SNMP Research International, Inc.
     3001 Kimberlin Heights Road
     Knoxville, TN 37920-9716

     Ph: 865-579-3311
     Fx: 865-579-6565

     mailto:[email-masked]
     
     http://www.snmp.com

SNMP Research provides consulting and development services in
conjunction with the licensing of our products and development tools.

Our customers' needs include the following:
                       Product definition
                       MIB design,
                       Hardware design
                       Implementation
                       System integration/testing
                       Life-cycle maintenance
Our expertise and business model allows us to match
our resources with customers' needs anywhere along this spectrum.

1.75.01.03

    Panther Digital Corporation
    Danbury, CT

    OEM Software Engineers and Consultants
    http://www.pantherdig.com
    [email-masked]

    203 778-9507
    203 778-9611 FAX

1.75.01.04

    G & H Computer Services, Inc
    Daytona Beach, FL
    http://www.gandhsoftware.com

    904 255-1599
    904 253-1545 FAX

END OF PART 1,    SNMP FAQ   PLEASE CONTINUE WITH PART 2.